Subject: BGP Connections

From: Nicolas REBIERRE <[email-masked]>
Date: Thu, 19 Sep 2002 17:55:37 +0200

Hi all,

MP-BGP allows to advertise both IPv4 and IPv6 routes upon a TCP over
IPv4 connection. But shouldn't it better to have 2 distinct FSM with 2
TCP connections: BGP/TCP/IPv6 for IPv6 routes, BGP/TCP/IPv4 for IPv4
routes ? This allows to handle IPv4 and IPv6 separately. Moreover, if
there is only one BGP/TCP/IPv4 connection for both kind of routes, a
problem on IPv6 connectivity will not be detected.

So If one wants to receive both IPv4 and IPv6 routes from a dual stack
peer, could we impose to configure two connections to that peer,
one for IPv4 and onother one for IPv6.
Could this restriction cause interoperability problems with some
implementations ?

Kind regards,

Chris.

---

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Fri, 20 Sep 2002 10:40:57 -0400

Mareline:

> -----Original Message-----
> From: Mareline Sheldon [mailto:[email-masked]]
> Sent: Thursday, September 19, 2002 11:39 PM
> To: Abarbanel, Benjamin; 'Nicolas REBIERRE'; [email-masked]
> Subject: RE: BGP Connections
> 
> 
> are there any thoughts for writing a BGP spec for IPv6 which 
> uses the IPv6 features like
> anycast, link local IP addresses, site local etc.. as of now 

There have been efforts to document this issue and possible solutions
in these specs:

  RFC2545, Some mention of link local addressing useage. Some mention
           of IPv6 transport capability for peer sessions.

  Look at this spec:
http://www.ietf.org/internet-drafts/draft-itojun-jinmei-ipv6-issues-00.txt
section 1.2.

 Ben

> we just use IPv4 to carry IPv6
> information. Are there any thoughts for actually running BGP over v6?
> 
> just a thought .. 
> 
> mareline s.
> 
> --- "Abarbanel, Benjamin" <[email-masked]> wrote:
> > Nicolas:
> > 
> > You comments raise interesting observations.
> > 
> > below
> > 
> > > -----Original Message-----
> > > From: Nicolas REBIERRE [mailto:[email-masked]]
> > > Sent: Thursday, September 19, 2002 11:56 AM
> > > To: [email-masked]
> > > Subject: BGP Connections
> > > 
> > > 
> > > Hi all,
> > > 
> > Since the core/backbone network is only a IPv4 network, you 
> will not be 
> > able to setup a TCP session over IPv6 infrastructure. Most 
> likely you will 
> > use tunneling IPv6 over IPv4 or IPv6 over MPLS/IPv4 to 
> propagate the IPv6
> > routing information.  I think the goal now is to pass 
> exterior IPv6 (island)
> > clouds information through a core IPv4 backbone. When the 
> core is a true 
> > IPv6 topology your point makes sense.
> > 
> > True, that is the drawback of the current (temporary) solution. 
> > 
> > Not possible with current specs that I have seen.
> > 
> > Maybe, can you be more specific what you are thinking of?
> > 
> > Ben 
> 
> 
> __________________________________________________
> Do you Yahoo!?
> New DSL Internet Access from SBC & Yahoo!
> http://sbc.yahoo.com
>